Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623107 - SELinux is preventing /usr/libexec/polkit-1/polkitd "read" access on ConsoleKit.
SELinux is preventing /usr/libexec/polkit-1/polkitd "read" access on Con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e038844419a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 07:12 EDT by Sandro Mathys
Modified: 2010-11-26 20:50 EST (History)
12 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-08-11 07:12:57 EDT
Summary:

SELinux is preventing /usr/libexec/polkit-1/polkitd "read" access on ConsoleKit.

Detailed Description:

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:policykit_t:s0
Target Context                system_u:object_r:consolekit_var_run_t:s0
Target Objects                ConsoleKit [ dir ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           polkit-0.97-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-3.fc14.x86_64 #1 SMP
                              Fri Aug 6 19:41:28 UTC 2010 x86_64 x86_64
Alert Count                   122
First Seen                    Wed 11 Aug 2010 03:10:10 PM CEST
Last Seen                     Wed 11 Aug 2010 01:12:26 PM CEST
Local ID                      99756d2a-8f4e-47db-a202-1c8872a1f445
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281525146.2:248): avc:  denied  { read } for  pid=1115 comm="polkitd" name="ConsoleKit" dev=dm-1 ino=10749386 scontext=system_u:system_r:policykit_t:s0 tcontext=system_u:object_r:consolekit_var_run_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1281525146.2:248): arch=c000003e syscall=254 success=no exit=-13 a0=c a1=1433a40 a2=1002fce a3=1 items=0 ppid=1 pid=1115 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="polkitd" exe="/usr/libexec/polkit-1/polkitd" subj=system_u:system_r:policykit_t:s0 key=(null)



Hash String generated from  catchall,polkitd,policykit_t,consolekit_var_run_t,dir,read
audit2allow suggests:

#============= policykit_t ==============
allow policykit_t consolekit_var_run_t:dir read;
Comment 1 Daniel Walsh 2010-08-11 08:07:13 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-12.fc14
Comment 2 Fedora Update System 2010-08-13 16:29:33 EDT
selinux-policy-3.8.8-14.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-14.fc14
Comment 3 Fedora Update System 2010-08-23 21:49:05 EDT
selinux-policy-3.8.8-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.